#! /bin/sh

# a simple script to do a basic functional test of the TReno program

if [ $# != 2 ]; then
	echo "Usage: $0 <host> <router>"
	exit
fi

host=$1
router=$2

treno=./treno
trenosw="-v -p 10"

echo Basic udp mode, but without mtu discovery
$treno $trenosw -b 512 $host

echo Basic udp mode
$treno $trenosw $host

echo Basic icmp mode
$treno $trenosw -i $host

echo Hop-by-hop udp mode
$treno $trenosw -Da 40 $host

echo Hop-by-hop with source route
$treno $trenosw -Da 40 $router $host
